Bug 1564206 - Review Request: python-sqlalchemy-collectd - Collect SQLAlchemy connection statistics for collectd
Summary: Review Request: python-sqlalchemy-collectd - Collect SQLAlchemy connection st...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 16:35 UTC by Michael Bayer
Modified: 2018-09-04 10:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 10:10:24 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Michael Bayer 2018-04-05 16:35:58 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/mrunge/collectd-stuff/epel-7-x86_64/00716452-python-sqlalchemy-collectd/python-sqlalchemy-collectd.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mrunge/collectd-stuff/epel-7-x86_64/00716452-python-sqlalchemy-collectd/python-sqlalchemy-collectd-0.0.3-1.el7.centos.src.rpm
Description: Send statistics on SQLAlchemy connection and transaction metrics used by Python applications to the collectd service.
Fedora Account System Username: mbayer

I'm working w/ mrunge to get this going for RDO and RHOS: https://copr.fedorainfracloud.org/coprs/mrunge/collectd-stuff/package/python-sqlalchemy-collectd/

Comment 1 Robert-André Mauchin 🐧 2018-04-05 18:14:47 UTC
 - There's a discrepency between the version in the header and the version in the last %changelog entry, it should probably be:

* Wed Feb 14 2018 Matthias Runge <mrunge@redhat.com> - 0.0.3-1

 - You can simplify Source0 like this:

Source0:        https://github.com/sqlalchemy/%{pypi_name}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

 - Add the "examples" directory to %doc in %files

 - Escape the rpm variable in comment:

python-sqlalchemy-collectd.src: E: specfile-error warning: Macro expanded in comment on line 17: %{pypi_name}/%{pypi_name}-%{version}.tar.gz
python-sqlalchemy-collectd.src: E: specfile-error 
python-sqlalchemy-collectd.src: E: specfile-error warning: Macro expanded in comment on line 17: %{pypi_name}/%{pypi_name}-%{version}.tar.gz

   Just double the % to do so:

# Source0:        https://files.pythonhosted.org/packages/source/s/%%{pypi_name}/%%{pypi_name}-%%{version}.tar.gz


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 21 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-sqlalchemy-collectd/review-python-
     sqlalchemy-collectd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -sqlalchemy-collectd , python3-sqlalchemy-collectd
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-sqlalchemy-collectd-0.0.3-1.fc29.noarch.rpm
          python3-sqlalchemy-collectd-0.0.3-1.fc29.noarch.rpm
          python-sqlalchemy-collectd-0.0.3-1.fc29.src.rpm
python2-sqlalchemy-collectd.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python2-sqlalchemy-collectd.noarch: W: spelling-error %description -l en_US entrypoints -> entry points, entry-points, endpoints
python3-sqlalchemy-collectd.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python3-sqlalchemy-collectd.noarch: W: spelling-error %description -l en_US entrypoints -> entry points, entry-points, endpoints
python-sqlalchemy-collectd.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python-sqlalchemy-collectd.src: W: spelling-error %description -l en_US entrypoints -> entry points, entry-points, endpoints
python-sqlalchemy-collectd.src:17: W: macro-in-comment %{pypi_name}
python-sqlalchemy-collectd.src:17: W: macro-in-comment %{pypi_name}
python-sqlalchemy-collectd.src:17: W: macro-in-comment %{version}
python-sqlalchemy-collectd.src: E: specfile-error warning: Macro expanded in comment on line 17: %{pypi_name}/%{pypi_name}-%{version}.tar.gz
python-sqlalchemy-collectd.src: E: specfile-error 
python-sqlalchemy-collectd.src: E: specfile-error warning: Macro expanded in comment on line 17: %{pypi_name}/%{pypi_name}-%{version}.tar.gz
3 packages and 0 specfiles checked; 3 errors, 9 warnings.

Comment 3 Robert-André Mauchin 🐧 2018-04-06 12:55:07 UTC
You did not address the following:

 - You can simplify Source0 like this:

Source0:        https://github.com/sqlalchemy/%{pypi_name}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

 - Add the "examples" directory to %doc in %files

Comment 4 Matthias Runge 2018-04-09 07:47:23 UTC
updated

I added the license file (missing in docs (ahem), and also added the examples.
I can not find the issue you mentioned with source0, as I was sure to use it already in the way you're proposing for a longer time.


SRPM: http://www.matthias-runge.de/fedora/python-sqlalchemy-collectd-0.0.3-1.fc28.src.rpm
SPEC: http://www.matthias-runge.de/fedora/python-sqlalchemy-collectd.spec

Comment 5 Robert-André Mauchin 🐧 2018-04-09 17:36:02 UTC
Package approved.

Comment 6 Gwyn Ciesla 2018-04-12 14:25:30 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-sqlalchemy-collectd

Comment 7 Matthias Runge 2018-09-04 10:10:24 UTC
This was imported and built. Closing


Note You need to log in before you can comment on or make changes to this bug.